package com.aitrainer.api.controller

import com.aitrainer.api.model.Sport
import com.aitrainer.api.repository.SportRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class SportController(private val sportRepository: SportRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/sports")
    fun getSportsWithTranslation(): ResponseEntity<List<Sport>> {
        val list = sportRepository.getSports()

        logger.info(" -- Get All sports $list")
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}