package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.DietSensitivity
import com.aitrainer.api.repository.diet.DietSensitivityRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("api")
class DietSensitivityController(private val dietSensitivityRepository: DietSensitivityRepository) {

    @PostMapping ("/diet_sensitivity")
    fun insert(@RequestBody dietSensitivity: DietSensitivity): ResponseEntity<DietSensitivity> {
        val newDietSensitivity = dietSensitivityRepository.save(dietSensitivity)
        return ResponseEntity.ok().body(newDietSensitivity)
    }

    @GetMapping("/diet_sensitivity")
    fun getAll(): ResponseEntity<List<DietSensitivity>> {
        val list = dietSensitivityRepository.findAll()
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}