package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import org.springframework.lang.NonNull
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class AppTextTranslation (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var translationId: Long = 0,
    @Expose @get: NotBlank var languageCode: String? = "hu",
    @Expose @get: NonNull var translation: String? = null
) {
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "textId", nullable = false)
    @JsonIgnore val appText: AppText? = null
}