package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseTypeTranslation (
        @Expose @Id @GeneratedValue(strategy = GenerationType.IDENTITY) val translationId: Long = 0,

        @Expose @get: NotBlank var languageCode: String?,
        @Expose @get: NotBlank var name: String = "",
        @Expose @get: NotBlank var description: String = ""
) {

        @ManyToOne(fetch = FetchType.EAGER, optional = false)
        @JoinColumn(name = "exerciseTypeId", nullable = false)
        @JsonIgnore
        val exerciseType: ExerciseType? = null
}
