package com.aitrainer.api.test

import com.aitrainer.api.controller.CustomerActivityController
import com.aitrainer.api.model.CustomerActivity
import com.aitrainer.api.repository.CustomerActivityRepository
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals

@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class CustomerActivityTest {

    @Autowired
    private lateinit var customerActivityRepository: CustomerActivityRepository


    @Test
    fun testActivityInsert() {
       val customerActivity = CustomerActivity(
               customerId = 90,
               skipped = false,
               dateAdd = "2021-04-13 04:32:00",
               type = "compact_test_tutorial"
       )


        val controller = CustomerActivityController(customerActivityRepository)
        val response = controller.insertActivity(customerActivity)

        val newActivity = response.body

        assertEquals(newActivity!!.customerId, 90)
        assertEquals(newActivity.skipped, false)
        assertEquals(newActivity.type, "compact_test_tutorial")

        customerActivityRepository.delete(newActivity)
    }


}