package com.aitrainer.api.test

import com.aitrainer.api.controller.EvaluationController
import com.aitrainer.api.controller.ProductController
import com.aitrainer.api.repository.EvaluationRepository
import com.aitrainer.api.repository.ProductRepository
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals
import kotlin.test.assertTrue

@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class EvaluationTest {

    @Autowired
    private lateinit var evaluationRepository: EvaluationRepository


    @Test
    fun testGetEvaluations() {
        val controller = EvaluationController(evaluationRepository)
        val response = controller.getEvaluation()

        val evaluations = response.body

        assertTrue(evaluations is List)
        assertTrue(evaluations.isNotEmpty())
        assertEquals(evaluations.size, 2)
        assertEquals(evaluations[0].name, "PushUps")
        assertEquals(evaluations[0].attributes.size, 18)
        assertEquals(evaluations[0].attributes[0].name, "Fekvőtámasz_ffi_17-19_very_poor")
    }

}